ofdns(1)

NAME
ofdns - perform DNS lookups

SYNOPSIS
ofdns [options] domain1 [domain2 ...]

DESCRIPTION
ofdns is a program to perform DNS lookups.

OPTIONS

-c class, --class=class
    The DNS class to query (defaults to IN).

-h, --help
    Show the help.

-s server, --server=server
    The server to query.

-t type, --type=type
    The record type to query (defaults to AAAA and A, can be repeated).

--tcp
    Force using TCP for the query.

EXAMPLES
Query the A and AAAA record for example.com:

    ofdns example.com

Query the CNAME record for www.example.com:

    ofdns -t CNAME example.com

Query 2001:db8::1 for the AAAA record for example.com:

    ofdns -s 2001:db8::1 -t AAAA example.com